# Class IsEqualToDirective

#### Implements

- Validator

- Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:25

#####
Index

### Constructors

constructor

### Properties

_equalTo
_onChange

### Accessors

equalTo

### Methods

registerOnValidatorChange
validate

## Constructors

### constructor

- new IsEqualToDirective(): IsEqualToDirective

- #### Returns IsEqualToDirective

## Properties

### `Private` _equalTo

_equalTo: any

- Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:41

### `Private` _onChange

_onChange: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:38

## Accessors

### equalTo

- set equalTo(value): void

- #### Parameters

  - value: any

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:31

## Methods

### registerOnValidatorChange

- registerOnValidatorChange(fn): void

- #### Parameters

  - fn: (() => void)

    The callback function

    - - (): void

      - #### Returns void

  #### Description

  Registers a callback function to call when the validator inputs change.

  Implementation of Validator.registerOnValidatorChange

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:61

### validate

- validate(control): null | ValidationErrors

- #### Parameters

  - control: AbstractControl<any, any>

  #### Returns null | ValidationErrors

  Implementation of Validator.validate

  - Defined in packages/angular/form-system/src/lib/validators/is-equal-to.ts:43